BEEM - Android XMPP - Feature #66

Smiley
03/27/2009 06:25 PM - Philippe Lago

Status: Closed Start date: 03/27/2009
Priority: Low Due date: 05/31/2009
Assignee: Frédéric Barthéléry % Done: 100%
Category: User Interface Estimated time: 25.00 hours
Target version: 0.1.8

Description

Integration de smiley dans I'lM, je sais pas trop comment faire: parser les messages en matchant des suites de caracteres a I'envoi
comme a la reception...?

Associated revisions

Revision 1007:¢3598834218b - 12/07/2012 12:43 AM - Frédéric Barthéléry

Add SmileyParser from the android Mms application.

Integrate it in the Chat activity. Fix #66
Improvement will be to put the smiley spannable in the current EditText

History

#1 - 03/27/2009 10:38 PM - Jean-Manuel Da Silva

- Priority changed from Normal to Low

Philippe Lago wrote:
Integration de smiley dans I'IM, je sais pas trop comment faire: parser les messages en matchant des suites de caracteres a I'envoi comme a la
reception...?

Primo : Définir les smileys que tu veux matcher.

Deuxio : Un preg_replace sur le message non ? /r/:)/url_img/ grossiérement hein!

Si quelqu'un a d'autres idées, n'hésitez pas.

#2 - 05/12/2009 04:20 PM - Nikita Kozlov

- Due date changed from 03/31/2009 to 05/31/2009

- Target version set to Prototype Technical assessement

- Estimated time changed from 5.00 h to 25.00 h

Maj du temps, faut quand meme verif et mettre pas mal de trucs.
Changement de version aussi.

#3 - 11/19/2009 04:22 PM - Vincent Véronis

- Target version deleted (Prototype Technical assessement)

#4 - 12/28/2009 07:53 PM - Nikita Kozlov

Look like it's became possible with the android-5 and later SDK, there is an example in ApiDemo.

#5 - 12/07/2012 12:57 AM - Frédéric Barthéléry
- Status changed from Assigned to Resolved

- % Done changed from 10 to 100

Applied in changeset c3598834218b.

#6 - 12/07/2012 12:58 AM - Frédéric Barthéléry
- Assignee changed from Philippe Lago to Frédéric Barthéléry
- Target version set to Dev

#7 - 01/06/2013 10:49 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed

#8 - 02/24/2013 09:12 PM - Frédéric Barthéléry

- Target version changed from Dev to 0.1.8
